Coin: SoJavaScriptEngine Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
SoJavaScriptEngine Class Reference
Miscellaneous Classes

The SoJavaScriptEngine class is yet to be documented. More...

`#include <Inventor/misc/SoJavaScriptEngine.h>`

Inheritance diagram for SoJavaScriptEngine:

## Public Member Functions
virtual SbBool | executeScript (const SbName &name, const SbString &script) const
virtual SbBool | executeFile (const SbName &filename) const
virtual SbBool | executeFunction (const SbName &name, int argc, const SoField *argv, SoField *rval=NULL) const
virtual SbBool | setScriptField (const SbName &name, const SoField *f) const
virtual SbBool | unsetScriptField (const SbName &name) const
virtual SbBool | getScriptField (const SbName &name, SoField *f) const
virtual SbBool | hasScriptField (const SbName &name) const
SbBool | field2jsval (const SoField *f, jsval *v) const
SbBool | jsval2field (const jsval v, SoField *f) const
void | enableAutoNodeUnref (SbBool onoff)
SbBool | getAutoNodeUnrefState (void) const
JSContext * | getContext (void) const
JSObject * | getGlobal (void) const
void | addHandler (const SoType &type, SoJSWrapperInitFunc *init, SoJSfield2jsvalFunc *field2jsval, SoJSjsval2field2Func *jsval2field)
Public Member Functions inherited from SoScriptEngine

## Static Public Member Functions
static SoJavaScriptEngine * | getEngine (JSContext *cx)
static SbBool | init (uint32_t maxbytes=4194304)
static void | shutdown (void)
static SbBool | debug (void)
static JSRuntime * | getRuntime (void)

## Protected Member Functions
void | setContext (JSContext *context)
void | setGlobal (JSObject *global)

## Static Protected Member Functions
static void | setRuntime (JSRuntime *runtime)

## Detailed Description

The SoJavaScriptEngine class is yet to be documented.

Since
  Coin 2.0

## Member Function Documentation

## ◆ executeScript()

virtual SbBool SoJavaScriptEngine::executeScript | ( | const SbName & | name,
|  | const SbString & | script ) const
| virtual

Implements SoScriptEngine.

## ◆ executeFile()

virtual SbBool SoJavaScriptEngine::executeFile | ( | const SbName & | filename | ) | const
| virtual

Implements SoScriptEngine.

## ◆ executeFunction()

virtual SbBool SoJavaScriptEngine::executeFunction | ( | const SbName & | name,
|  | int | argc,
|  | const SoField * | argv,
|  | SoField * | rval = NULL ) const
| virtual

Implements SoScriptEngine.

## ◆ setScriptField()

virtual SbBool SoJavaScriptEngine::setScriptField | ( | const SbName & | name,
|  | const SoField * | f ) const
| virtual

Implements SoScriptEngine.

## ◆ unsetScriptField()

virtual SbBool SoJavaScriptEngine::unsetScriptField | ( | const SbName & | name | ) | const
| virtual

Implements SoScriptEngine.

## ◆ getScriptField()

virtual SbBool SoJavaScriptEngine::getScriptField | ( | const SbName & | name,
|  | SoField * | f ) const
| virtual

Implements SoScriptEngine.

## ◆ hasScriptField()

virtual SbBool SoJavaScriptEngine::hasScriptField | ( | const SbName & | name | ) | const
| virtual

Implements SoScriptEngine.

The documentation for this class was generated from the following file:

- SoJavaScriptEngine.h